#### serial_port::operator=

Move-assign a `serial_port` from another.

    serial_port & operator=(
        serial_port && other);

This assignment operator moves a serial port from one object to another.

###### Parameters

other

  The other `serial_port` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `serial_port(io_context&) constructor`.